# zlib_decode

(PHP 5 >= 5.4.0, PHP 7)

zlib_decode — Uncompress any raw/gzip/zlib encoded data

### Description

zlib_decode ( string `$data` [, string `$max_decoded_len` ] ) : string

Uncompress any raw/gzip/zlib encoded data.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`data`

`max_decoded_len`

### Return Values

Returns the uncompressed data, or `FALSE` on failure.

### See Also

- zlib_encode() - Compress data with the specified encoding